Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365473 - virt-p2v fails when source machine is using tboot (Intel Trusted Boot pre-kernel module)
Summary: virt-p2v fails when source machine is using tboot (Intel Trusted Boot pre-ker...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.3
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard: P2V
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2016-08-09 11:05 UTC by mxie@redhat.com
Modified: 2018-12-01 03:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
fc-one-road (deleted)
2016-08-09 11:05 UTC, mxie@redhat.com
no flags Details
fc-double-road (deleted)
2016-08-09 11:06 UTC, mxie@redhat.com
no flags Details
rhel6.8-lpfc-one-road (deleted)
2016-08-09 11:07 UTC, mxie@redhat.com
no flags Details
rhel6.8-lpfc-double-road (deleted)
2016-08-09 11:08 UTC, mxie@redhat.com
no flags Details

Description mxie@redhat.com 2016-08-09 11:05:39 UTC
Created attachment 1189216 [details]
fc-one-road

escription of problem:
Can't convert rhel6.8 x86-lpfc host by virt-p2v


Version-Release number of selected component (if applicable):
libvirt-2.0.0-4.el7.x86_64
libguestfs-1.32.6-5.el7.x86_64
qemu-kvm-rhev-2.6.0-18.el7.x86_64
virt-v2v-1.32.6-5.el7.x86_64
virt-p2v-1.32.6-5.el7.x86_64


How reproducible:
50%

Steps to Reproduce:
1.Install rhel6.8 x64 on lpfc storage which has one road,  pls refer to screenshot fc-one-road, besides machine (IBM-x3755-04)could boot into os after installation, check os info as below
1.1 # uname -a
Linux bootp-73-199-17.lab.eng.pek2.redhat.com 2.6.32-642.el6.x86_64 #1 SMP Wed Apr 13 00:51:26 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux

1.2 # lsblk
NAME   MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT
sr0     11:0    1 1024M  0 rom  
sr1     11:1    1 1024M  0 rom  
sda      8:0    0   60G  0 disk
├─sda1   8:1    0 53.7G  0 part /
└─sda2   8:2    0  6.3G  0 part [SWAP]

1.3 #lsmod |grep lpfc
lpfc               664447  2
scsi_transport_fc  55235   4 bnx2fc,fcoe,libfc,lpfc
crc_t10dif         1209    2 sdmod,lpfc

1.4 # cat /boot/grub/menu.lst
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,0)
#          kernel /boot/vmlinuz-version ro root=/dev/sda1
#          initrd /boot/initrd-[generic-]version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux 6 (2.6.32-642.el6.x86_64)
        root (hd0,0)
        kernel /boot/tboot.gz logging=vga,serial,memory
        module /boot/vmlinuz-2.6.32-642.el6.x86_64 ro root=UUID=8fd685a2-3215-484c-ab7a-04ab6f26e4aa intel_iommu=on amd_iommu=on rd_NO_LUKS rd_NO_LVM LANG=en_US.UTF-8 rd_NO_MD SYSFONT=latarcyrheb-sun16 crashkernel=128M  KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM rhgb quiet
 
2.Boot the machine into p2v client via pxe
3.Input conversion server info and click "next"
4.Input conversion info and then click"start conversion" to convert host
5.Conversion will be failed with virt-v2v: error: no kernels were found in the grub configuration, details pls refer to details log


Actual results:
As above description

Expected results:
Could convert rhel6.64-lpfc host by virt-p2v successfully

Additional info:
1.Can reproduce this problem on another lpfc machine(hp460cg1-01) which has fc storage with one road
2.Can't reproduce this problem on another lpfc machine(hp460cg1-02) which has fc storage with double road, pls refer to screeshot fc-double-road

Comment 1 mxie@redhat.com 2016-08-09 11:06:16 UTC
Created attachment 1189217 [details]
fc-double-road

Comment 2 mxie@redhat.com 2016-08-09 11:07:54 UTC
Created attachment 1189218 [details]
rhel6.8-lpfc-one-road

Comment 3 mxie@redhat.com 2016-08-09 11:08:20 UTC
Created attachment 1189219 [details]
rhel6.8-lpfc-double-road

Comment 5 mxie@redhat.com 2016-08-23 06:02:57 UTC
I also could reproduce this bug when convert rhel6.8-MD host by virt-p2v with builds:
libvirt-2.0.0-5.el7.x86_64
virt-p2v-1.32.7-2.el7.x86_64
libguestfs-1.32.7-2.el7.x86_64
virt-v2v-1.32.7-2.el7.x86_64
qemu-kvm-rhev-2.6.0-21.el7.x86_64
virtio-win-1.8.0-5.el7.noarch

Comment 6 mxie@redhat.com 2016-08-23 10:46:51 UTC
(In reply to mxie@redhat.com from comment #5)
> I also could reproduce this bug when convert rhel6.8-MD host by virt-p2v
> with builds:
> libvirt-2.0.0-5.el7.x86_64
> virt-p2v-1.32.7-2.el7.x86_64
> libguestfs-1.32.7-2.el7.x86_64
> virt-v2v-1.32.7-2.el7.x86_64
> qemu-kvm-rhev-2.6.0-21.el7.x86_64
> virtio-win-1.8.0-5.el7.noarch

I think this bug is related to package "tboot-1.8.3-2.el6.x86_64.rpm " because the conversion will be finished without error if not select tboot package during installing rhel6.8 on MD

Comment 7 Richard W.M. Jones 2017-02-16 14:33:22 UTC
Sorry for some reason this bug dropped off the radar.

I think you are right that the conversion failed because of the
use of tboot (which I'd never heard of up til now).  Updating the
summary to reflect this.

Comment 8 Richard W.M. Jones 2017-02-16 14:47:08 UTC
I was trying to work out a reproducer for this, but I can't quite work
it out.  Simply installing tboot is not sufficient to reproduce it.

Comment 9 Richard W.M. Jones 2017-03-28 14:29:31 UTC
Out of development time for RHEL 7.4.  Moving to RHEL 7.5.


Note You need to log in before you can comment on or make changes to this bug.